# DataExchange
TKXSBase
StepData

# StepData_EDescr Class Reference

This class is intended to describe the authorized form for an
entity, either Simple or Plex
.

`#include <StepData_EDescr.hxx>`

Inheritance diagram for StepData_EDescr:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const =0
| Tells if a ESDescr matches a step type : exact or super type .
virtual Standard_EXPORT Standard_Boolean | IsComplex () const =0
| Tells if a EDescr is complex (ECDescr) or simple (ESDescr) .
virtual Standard_EXPORT Handle_StepData_Described | NewEntity () const =0
| Creates a described entity (i.e. a simple one) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const StepData_EDescr::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepData_ECDescr, and StepData_ESDescr.

virtual Standard_EXPORT Standard_Boolean StepData_EDescr::IsComplex | ( |  | ) | const`[pure virtual]`

| Implemented in StepData_ECDescr, and StepData_ESDescr.

virtual Standard_EXPORT Standard_Boolean StepData_EDescr::Matches | ( | const Standard_CString | steptype | ) | const`[pure virtual]`

| Implemented in StepData_ECDescr, and StepData_ESDescr.

virtual Standard_EXPORT Handle_StepData_Described StepData_EDescr::NewEntity | ( |  | ) | const`[pure virtual]`

| Implemented in StepData_ECDescr, and StepData_ESDescr.

The documentation for this class was generated from the following file:

- StepData_EDescr.hxx